version: '3.7'

name: adiplix_front_end_v1

networks:
    exclusivesis-adiplix:
        external: true

services:
    php:
        build: ./docker/php
        container_name: adiplix_front_end_v1_php
        tty: true
        networks:
            - exclusivesis-adiplix
        volumes:
            - .:/var/www
            - ./docker/php/php.ini:/usr/local/etc/php/conf.d/99-php.ini

    apache:
        build: ./docker/apache
        container_name: adiplix_front_end_v1_apache
        tty: true
        depends_on:
            - php
        ports:
            - "${DOCKER_APACHE_PORT}:80"
        networks:
            - exclusivesis-adiplix
        volumes:
            - .:/var/www
            - ./docker/apache/httpd.conf:/usr/local/apache2/conf/httpd.conf
            - ./docker/apache/localhost.conf:/usr/local/apache2/conf/extra/httpd-localhost.conf